Subject: bug#12863: Annoying bug in revert-buffer

From: Cecil Westerhof <[email-masked]>
Date: Mon, 12 Nov 2012 02:54:31 +0100

Glenn,

Op maandag 12 nov 2012 02:07 CET schreef Glenn Morris:

>
> (Please use reply-to-all)
>
> Cecil Westerhof wrote (on Sun, 11 Nov 2012 at 21:25 +0100):
>
>>>> Are you talking about auto-revert-mode?
>>>> If so, C-h v auto-revert-interval (default 5 seconds).
>>>
>>> Actually that's probably irrelevant.
>>
>> Yes that is where I am talking about. Emacs sees that the file is
>> changed and reloads it in the buffer. But if in the same second the
>> file changes again, it is not reloaded.
>>
>> Here I am using:
>> GNU Emacs 23.3.1 (i586-suse-linux-gnu, GTK+ Version 2.24.7) of 2011-10-30 on
>> 	build34
>>
>> But I have seen the same problem under Windows. At the moment I do not
>> know which version that was. If needed I can retrieve that one also.
>>
>> A solution would be: (also) reloading a second after a change.
>
> I'm still unsure if you are talking about auto-revert-mode or an
> explicit call to revert-buffer.

I need to communicate better. :-{

It is auto-revert-mode. When I see that it has gone wrong, I can
correct it with revert-buffer. ;-}

> If I read the code correctly,
> revert-buffer does not care about time-stamps. auto-revert-mode does,
> and I think in Emacs 24.2 and earlier, file time-stamps were only
> stored to second precision. So indeed in Emacs 24.2 and earlier, file
> modifications that happened within a second of reverting would
> probably be invisible to auto-revert mode.

But if you would revert the buffer (also) in the second after the
change, the problem would be solved,

> Emacs 24.3 (not yet released) will use much higher resolution
> time-stamps, so this issue should be fixed there.

Any idea when it will come out?

OpenSuse are not very good with maintaining Emacs. My version is 3½
years old and there have been five new releases. Maybe I should
install Emacs manually.

-- 
Cecil Westerhof
Senior Software Engineer
M [email-masked]

LinkedIn: http://www.linkedin.com/in/cecilwesterhof

O< ascii ribbon campaign - stop html mail - www.asciiribbon.org

Please do not send me Microsoft Office/Apple iWork documents.
Send OpenDocument instead! http://fsf.org/campaigns/opendocument/